[Community app] Monica v2.3.0 - Personal Relationship Manager


#1

Hi,

I started creating a yunohost package (my first) for monica (monicahq.com/).
You can find it here: github.com/rndmh3ro/monica_ynh

I’d love if someone could test it, it should work on x86 and arm systems.

Monica needs PHP7 to work so this package installs a backport of PHP7 alongside PHP5. PHP5 should remain the default, as I tried to accomplish that with update-alternatives. So far my personal yunohost instance is still working.

Monica also needs NodeJS; I got the installation scripts from here: Helpers nvm pour nodejs
Thanks for that, @Maniack_Crudelis!

And also thanks to @JimboJoe for helping me out with nginx here: APP/Nginx redirect problem

There are still major TODOs left, they can be found in the github readme here: github.com/rndmh3ro/monica_ynh#todo

If anyone wants to help with these or other things, feel free!

Regards
Sebastian

PS: Creating posts in this forums with links is really hard! :confused:


#2

Hi rndmh3ro

I just tried your package.
You have a error with apt: "method driver /usr/lib/apt/methods/https could not be found"
I think your line in source.list is not correct.

And, node helpers have been upgrade. Now, it’s n which be used instead of nvm.


#3

Thanks for testing, @Maniack_Crudelis!

The apt-error should be fixed. Problem was that on Debian you need a package (apt-transport-https) to update and install from https-repositories. I moved the installation of that package.
And I’ll update the NodeJS helpers, thanks for them!


#4

Hi rndmh3ro

Monica sounds interesting, like something that could help me to keep a better overview of interactions (which is already sad to say :wink: ).
I have just tried to install the package but unfortunately the installation failed on my raspberry pi 3 with yunohost 2.6.4.
Last thing I saw was:
[31mError: cannot remove currently active version (node/6.10.3)[0m

I could install the first release, but could not reach the page after installation.
Just for clarification, is it possible to install monica in the root of a subdomain (Third-Level-Domain, eg. https://monica.example.com/) or must it be a root of a Second-Level-Domain (eg. https://example.com/)?

Regards and thanks for your work


#5

Hi @eFreshman,

thanks for testing it out! The app itself is really nice that’s why I tried to package it. :slight_smile:

Your problems with the installation are hopefully gone, I fixed some problems. Would you mind trying again?

And yes, its possible to install monica into a subdomain!


#6

Hi
I’m sorry to say “Installation fehlgeschlagen”.
I did not know very much about Linux, can I help with any log files?

Unable to update monica core dependencies

  • ynh_die 'Unable to update monica core dependencies’
    Your requirements could not be resolved to an installable set of packages.

#7

That’s actually enough for me to debug because I know where this could happen.

Mal sehen, ob ich es nachstellen kann. :wink:


#8

So this was actually a problem with monica itself, which got fixed (github.com/monicahq/monica/pull/412).

It should now install without a problem. At least it does for me. :smiley:


#9

Unfortunately, not for me.
I get the same error as last time. :worried:


#10

Same error for me :frowning:

+ sudo /usr/bin/php7.0 /var/www/monica/composer.phar install --no-dev --prefer-dist -d /var/www/monica --quiet --no-interaction
Warning: Your requirements could not be resolved to an installable set of packages.
+ ynh_die 'Unable to update monica core dependencies'
+ echo 'Unable to update monica core dependencies'
+ exit 1
Warning: Unable to update monica core dependencies

#11

I just tried it again and it was possible for me to install monica. :+1:
It took a while to install, but finaly it worked.

Edit:
Before I type all my contacts in Monica, can Monica updated over the usual “yunohost app upgrade”?
As I see, Monika is quite often updated.
There are still a few features I miss but which might come in the near future (e.g. why type an significant other which is already in the contacts?).


#12

Yeah, the installation takes a long time because there have to be nodejs packages installed.

And yes, monica can be upgraded with “yunohost app upgrade”, I already tested it multiple times.
I’m following the releases page (https://github.com/monicahq/monica/releases) of monica and try to update the app regulary!


#13

Good to hear.
Then I hope you do enjoy Monica, so it will updated regularly for a long time. :innocent:

And thanks for making it available for yunohost.


#14

I just updated the app to the latest upstream version. You should be able to update without problems (hopefully).

Next I’ll move the app to the community repo and try to “fix” the user-creation situation.


#15

Thanks, update works like a charm.
Will have an eye on the monica_ynh repository to keep in track.

PS: I’m not able to Add people or edit contact information in this version. Do you have the same problem? Looks like the nasty visual bug that should be fixet with 0.4.1 (which I’m using now).


#16

Sorry, I do not have this problem, I can add and edit people without problems…


#17

Problem fixed, backuped database, uninstalled Monica, reinstalled it and imported the database. Now Monica is back online


#18

@rndmh3ro

Thanks for the update. Monica have search bar now. :heart_eyes:


#19

To create a new user follow these steps:
Go to /var/www/monica/database/seeds and open CreateUser.php. Edit the first name, last name, email and password for the new user.
Give www-data permission to the CreateUser.php and cd /var/www/monica then run /usr/bin/php7.0 artisan -q db:seed --class CreateUser --force


#20

Hi,
I’m on Version 0.6.5 for a few weeks now, but yunohost update shows me that there ist an update available for Monica.
Since there is a E_Mail bug in the Version that I use I try to update Monica.
But I got this message:
Yunohost encountered an internal error :confused:

Is it because the complete revamp instalation scripts?

More Informations:
Action

PUT /upgrade
{"locale":"de","ignore_packages":""}

Traceback

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/moulinette/interfaces/api.py", line 406, in process
    ret = self.actionsmap.process(arguments, timeout=30, route=_route)
  File "/usr/lib/python2.7/dist-packages/moulinette/actionsmap.py", line 495, in process
    return func(**arguments)
  File "/usr/lib/moulinette/yunohost/tools.py", line 514, in tools_upgrade
    logger.error(m18n.n('app_upgrade_failed'))
  File "/usr/lib/python2.7/dist-packages/moulinette/core.py", line 205, in n
    return self._namespaces[self._current_namespace].translate(key, *args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/moulinette/core.py", line 92, in translate
    return self._translations[self.locale][key].encode('utf-8').format(*args, **kwargs)
KeyError: 'app'